package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审核进度对象 examine_schedule
 * 
 * @author boman
 * @date 2022-01-24
 */
public class ExamineSchedule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 新闻ID */
    @Excel(name = "新闻ID")
    private Integer newsId;

    /** 一级审批人员 */
    @Excel(name = "一级审批人员")
    private String examineNameOne;

    /** 一级审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "一级审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examineTimeOne;

    /** 二级审批人员 */
    @Excel(name = "二级审批人员")
    private String examineNameTwo;

    /** 二级审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "二级审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examineTimeTwo;

    /** 三级审批人员 */
    @Excel(name = "三级审批人员")
    private String examineNameThr;

    /** 三级审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "三级审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examineTimeThr;

    /** 审批进度 */
    @Excel(name = "审批进度")
    private String examineLevel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Integer getNewsId() {
        return newsId;
    }

    public void setNewsId(Integer newsId) {
        this.newsId = newsId;
    }

    public void setExamineNameOne(String examineNameOne)
    {
        this.examineNameOne = examineNameOne;
    }

    public String getExamineNameOne() 
    {
        return examineNameOne;
    }
    public void setExamineTimeOne(Date examineTimeOne) 
    {
        this.examineTimeOne = examineTimeOne;
    }

    public Date getExamineTimeOne() 
    {
        return examineTimeOne;
    }
    public void setExamineNameTwo(String examineNameTwo) 
    {
        this.examineNameTwo = examineNameTwo;
    }

    public String getExamineNameTwo() 
    {
        return examineNameTwo;
    }
    public void setExamineTimeTwo(Date examineTimeTwo) 
    {
        this.examineTimeTwo = examineTimeTwo;
    }

    public Date getExamineTimeTwo() 
    {
        return examineTimeTwo;
    }
    public void setExamineNameThr(String examineNameThr) 
    {
        this.examineNameThr = examineNameThr;
    }

    public String getExamineNameThr() 
    {
        return examineNameThr;
    }
    public void setExamineTimeThr(Date examineTimeThr) 
    {
        this.examineTimeThr = examineTimeThr;
    }

    public Date getExamineTimeThr() 
    {
        return examineTimeThr;
    }
    public void setExamineLevel(String examineLevel) 
    {
        this.examineLevel = examineLevel;
    }

    public String getExamineLevel() 
    {
        return examineLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("newsId", getNewsId())
            .append("examineNameOne", getExamineNameOne())
            .append("examineTimeOne", getExamineTimeOne())
            .append("examineNameTwo", getExamineNameTwo())
            .append("examineTimeTwo", getExamineTimeTwo())
            .append("examineNameThr", getExamineNameThr())
            .append("examineTimeThr", getExamineTimeThr())
            .append("examineLevel", getExamineLevel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
